import MuiButton, { ButtonProps } from '@mui/material/Button';

export const Button = (props: ButtonProps) => {
  return <MuiButton {...props} />;
};

export const IconButton = (props: ButtonProps) => {
  const { variant = 'contained', color = 'primary', sx, children, ...rest } = props;
  return (
    <MuiButton variant={variant} color={color} {...rest} sx={{ color: 'white', minWidth: '32px', padding: '4px', ...sx }}>
      {children}
    </MuiButton>
  );
};
